AVRISP mkII clone don't working in AtmelStudio7.0.1931 on Win7(x64)

Go To Last Post
5 posts / 0 new
Author
Message
#1
  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

I have AVRISP mkII clone. It was working on AtmelStudio 6.2. I start to use AtmelStudio7.0.1931 and studio see AVRISP mkII clone and it available to use for AVR Device Programming.

I start with Tools -> Device Programming -> select AVRISP mkII -> select my chip: Atmega16, interface: ISP -> press Apply -> Firmware Update: AVRISP mkII firmware must be updated befor continuing(On Tool: 1.17, On Disk: 1.18) -> press Update -> Error: AVRISP mkII firmware update faild, toogle power on tool and retry upgrade...    so now I don't know next step to resolve problem)

I update AVRISP mkII clone firmware with FLIP and write to it latest hex file I have. May be there is some new firmware AVRISP mkII clone hex file  for Atmel Studio 7.0. I don't know about that. If there is share links please)

I guess problem with USB drivers in studio. Any tips? Have someone similar problems? If someone resole similar proble please share some links to files (if there is some) and steps to resolve))

This topic has a solution.
Last Edited: Sun. Dec 23, 2018 - 01:51 AM
  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

I find https://www.avrfreaks.net/forum/...

In \Atmel\Studio\7.0\tools\AVRISPmkII  directory available file (*.enc). This type of file can't be used in FLIP (only *.hex files good to go). So possible solution for finding proper firmware hex file for AVRISP mkII clone still on table.

This reply has been marked as the solution. 
  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Ok, I find some solution.

Problem was with using not good for AtmelStudio7.0 hex file for AVRISP mkII clone firmware. Solution is to find proper firmware file for your device and write device for example with FLIP (as I do) and try it.

I do not understand why AtmelStudio can't update firmware, but I guess because I use not original device.

I find not so good firmware for my clone (LED no active) but my AVRISP mkII clone start to work))) so in future I will consider to buy original AVRISP mkII or similar device for programming chips on AtmelStudio7.0 version.

 

I use files: 

AVRISP-MKII_lufa151115_16MHz_Danko.hex

AVRISP-MKII_lufa151115_8MHz_Danko.hex

From forum: 

radiokot

Last Edited: Sun. Dec 23, 2018 - 01:55 AM
  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

I will consider to buy original AVRISP mkII or similar device for programming chips on AtmelStudio7.0 version.

AVRISP mkII are obsolete and they haven't been available for many years, the current tool is the Atmel ICE.

John Samperi

Ampertronics Pty. Ltd.

www.ampertronics.com.au

* Electronic Design * Custom Products * Contract Assembly

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Thanks will buy this device. I hope no need to look into hex files for firmware update after new AtmelStudio is releced) I look some device to plug in set drivers and good to go.